<?php

namespace App\Http\Controllers;



use App\Models\Specialty;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB; 
use Barryvdh\DomPDF\Facade\Pdf;
use Dompdf\Options;


class SpecialtyController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(Request $request){
        //mostrar datos em la tabla principal
        $specialties = Specialty::all();
        return view('specialties.index', compact('specialties'));
    }

    public function pdf($id){

        $specialties = Specialty::find($id);

        if (!$specialties){
            abort(404);
        }
        $pdf = Pdf::setPaper('a4')->loadView('specialties.pdf', compact('specialties'));
        return $pdf->stream();
        //mostrar datos em la tabla principal
        //$specialties = DB::table('specialties')->get('id');
        //$specialties = Specialty::all();
        //$pdf = Pdf::setPaper('a4')->loadView('specialties.pdf', compact('specialties'));
        //return $pdf->stream();

    }

    public function expediente($id){

        $specialties = Specialty::find($id);

        if (!$specialties){
            abort(404);
        }
        $pdf = Pdf::setPaper('a4')->loadView('specialties.expediente', compact('specialties'));
        return $pdf->stream();
        //mostrar datos em la tabla principal
        //$specialties = DB::table('specialties')->get('id');
        //$specialties = Specialty::all();
        //$pdf = Pdf::setPaper('a4')->loadView('specialties.pdf', compact('specialties'));
        //return $pdf->stream();

    }




    //FUNCION PARA OBTENER LA VISTA CREAR PACIENTES
    public function create(){
        //OBETENRMOS LOS DATOS DE LA TABLA QUE NECESITEMOS Y LO GUARDAMOS EN UNA VARIABLE
        $datos = DB::table('agudezavisual')->get();
        $datosauto = DB::table('autorefraccion')->get();
        $datoscilindro = DB::table('cilindros')->get();
        $autorefraccejes = DB::table('autorefraccionejes')->get();
        $add = DB::table('adicion')->get();
        //LE CONCATENAMOS LA VARIABLE A LA VISTA PARA TENER LOS DATOS DISPONIBLES 
        return view('specialties.create', compact('datos', 'datosauto', 'autorefraccejes', 'add', 'datoscilindro'));
    }

    //FUNCION PARA GUARDAR LOS DATOS EN LA BD
    public function sendData(Request $request){

        //Validacion del formulario a nivel Servidor
        $rules = [
            'name' => 'required',
            'edad' => 'numeric|required',
            'domicilio' => 'nullable',
            'antecentesPatologicos' => 'nullable',
            'antecentesOftalmicos' => 'nullable',
            'alergias' => 'nullable',
            'motivoConsulta' => 'nullable',
            //faltan campos agudeza visual sin lentes
            'agudezaVisual' => 'nullable',
            'agudezaVisualODEST' => 'nullable',
            'agudezaVisualOI' => 'nullable',
            'agudezaVisualOIEST' => 'nullable',
            'movOculares' => 'nullable',
            'movOcularesOI' => 'nullable',            
            //faltan campos autorrefraccions
            'autorefraccion' => 'nullable',
            'autorefraccionODcilindro' => 'nullable',
            'autorefraccionODeje' => 'nullable',
            'autorrefraccionadd' => 'nullable',
            'autorefraccionOIesfera' => 'nullable',
            'autorefraccionOIcilindro' => 'nullable',
            'autorefraccionOIeje' => 'nullable',
            'autorrefraccionaddOI' => 'nullable',
            'queratometrias' => 'nullable',
            'queratometriasOI' => 'nullable',
            'refraccionODesfera' => 'nullable',
            'refraccionODcilindro' => 'nullable',
            'refraccionODeje' => 'nullable',
            'refraccionadd' => 'nullable',
            'refraccionOIesfera' => 'nullable',
            'refraccionOIcilindro' => 'nullable',
            'refraccionOIeje' => 'nullable',
            'refraccionaddOI' => 'nullable',

            'refraccion' => 'nullable',
            'anexosOD' => 'nullable',
            'anexosOI' => 'nullable',
            'biomicroscopia' => 'nullable',
            'biomicroscopiaOI' => 'nullable',
            'fondoOjo' => 'nullable',
            'fondoOjoOI' => 'nullable',
            'diagnostico' => 'required',
            'plan' => 'nullable',
            'imgDiagnosticas' => '',
            'receta' => 'required',
        ];

        $messages = [
            'name.required' => 'El nombre del paciente es obligatorio.',
            'edad.required' => 'Ingresar una edad.',
            'edad.numeric' => 'Ingresa una edad valida.',
            'domicilio.required' => 'Ingresa el domicilio del paciente.',
            'antecentesPatologicos.required' => 'Llena el campo Antecedentes Patológicos',
            'antecentesOftalmicos.required' => 'Llena el campo Antecedentes Oftalmicos',
            'alergias.required' => 'Llena el campo Alergias',
            'motivoConsulta.required' => 'Llena el campo Motivo de Consulta',
            //faltan campos agudeza visual sin lentes
            'movOculares.required' => 'Llena el campo Movimientos Oculares',
            'movOcularesOI.required' => 'Llena el campo Movimientos Oculares',
            //faltan campos autorrefraccion
            'queratometrias.required' => 'Llena el campo Queratometrías',
            'queratometriasOI.required' => 'Llena el campo Queratometrías',
            'refraccion.nullable' => ' ',
            'anexosOD.nullable' => ' ',
            'anexosOD.nullable' => ' ',

            'biomicroscopia.required' => 'Llena el campo Biomicroscopía',
            'biomicroscopiaOI.required' => 'Llena el campo Biomicroscopía',
            'fondoOjo.required' => 'Llena el campo Fondo de ojo',
            'fondoOjoOI.required' => 'Llena el campo Fondo de ojo',
            'diagnostico.required' => 'Llena el campo Diagnóstico',
            'plan.required' => 'Llena el campo Plan',
            'receta.required' => 'Llena el campo Receta',



        ];

        $this->validate($request, $rules, $messages);

        $specialty = new Specialty();
        $specialty->id = $request->input('id');
        $specialty->name = $request->input('name');
        $specialty->edad = $request->input('edad');//EDAD
        $specialty->domicilio = $request->input('domicilio');
        $specialty->antecentesPatologicos = $request->input('antecentesPatologicos');
        $specialty->antecentesOftalmicos = $request->input('antecentesOftalmicos');
        $specialty->alergias = $request->input('alergias');
        $specialty->motivoConsulta = $request->input('motivoConsulta');
        $specialty->agudezaVisual = $request->input('agudezaVisual');//
        $specialty->agudezaVisualODEST = $request->input('agudezaVisualODEST');
        $specialty->agudezaVisualOI = $request->input('agudezaVisualOI');
        $specialty->agudezaVisualOIEST = $request->input('agudezaVisualOIEST');
        $specialty->movOculares = $request->input('movOculares');
        $specialty->movOcularesOI = $request->input('movOcularesOI');//agregado
        $specialty->autorefraccion = $request->input('autorefraccion');//autorefraccion OD esfera
        $specialty->autorefraccionODcilindro = $request->input('autorefraccionODcilindro');//autorefraccion OD cilindro
        $specialty->autorefraccionODeje = $request->input('autorefraccionODeje');//autorefraccion OD eje
        $specialty->autorrefraccionadd = $request->input('autorrefraccionadd');
        $specialty->autorefraccionOIesfera = $request->input('autorefraccionOIesfera');//autorefraccion OI esfera
        $specialty->autorefraccionOIcilindro = $request->input('autorefraccionOIcilindro');//autorefraccion OI cilindro
        $specialty->autorefraccionOIeje = $request->input('autorefraccionOIeje');//autorefraccion OI eje
        $specialty->autorrefraccionaddOI = $request->input('autorrefraccionaddOI');
        $specialty->queratometrias = $request->input('queratometrias');
        $specialty->queratometriasOI = $request->input('queratometriasOI');
        $specialty->refraccionODesfera = $request->input('refraccionODesfera');
        $specialty->refraccionODcilindro = $request->input('refraccionODcilindro');
        $specialty->refraccionODeje = $request->input('refraccionODeje');
        $specialty->refraccionadd = $request->input('refraccionadd');
        
        $specialty->refraccionOIesfera = $request->input('refraccionOIesfera');
        $specialty->refraccionOIcilindro = $request->input('refraccionOIcilindro');        
        $specialty->refraccionOIeje = $request->input('refraccionOIeje');        
        $specialty->refraccionaddOI = $request->input('refraccionaddOI');
        
        $specialty->refraccion = $request->input('refraccion');
        $specialty->anexosOD = $request->input('anexosOD');
        $specialty->anexosOI = $request->input('anexosOI');
        
        $specialty->biomicroscopia = $request->input('biomicroscopia');
        $specialty->biomicroscopiaOI = $request->input('biomicroscopiaOI');
        $specialty->fondoOjo = $request->input('fondoOjo');
        $specialty->fondoOjoOI = $request->input('fondoOjoOI');
        $specialty->diagnostico = $request->input('diagnostico');
        $specialty->plan = $request->input('plan');

        /*$file = $request->file('imgDiagnosticas');
        $file->move('uploads', $file->getClientOriginalName());
        $specialty->imgDiagnosticas = $file->getClientOriginalName();*/

        if( $request->hasFile('imgDiagnosticas') ){
            $file = $request->file('imgDiagnosticas');
            $destinationPath = 'images';
            $filename = $file->getClientOriginalName();
            $uploadSuccess = $request->file('imgDiagnosticas')->move($destinationPath, $filename);
            $specialty->imgDiagnosticas = $filename;
        }

        $specialty->usuarioModifico = $request->input('usuarioModifico');
        $specialty->receta = $request->input('receta');        
        $specialty->save();
        $notification = 'Los datos del paciente se han guardado correctamente!';

        return redirect('/especialidades')->with(compact('notification'));
    }

    //FUNCION PARA LLAMAR A LA VISTA EDITAR
    public function edit(Specialty $specialty){
        $datos = DB::table('agudezavisual')->get();
        $datoscilindro = DB::table('cilindros')->get();
        $datosauto = DB::table('autorefraccion')->get();
        $autorefraccejes = DB::table('autorefraccionejes')->get();
        $add = DB::table('adicion')->get();
        return view('specialties.edit', compact('specialty', 'datos', 'datosauto', 'autorefraccejes', 'add', 'datoscilindro'));
    }
    

    //FUNCION PARA ACTUALIZAR DATOS
    public function update(Request $request, Specialty $specialty){
        //Validacion del formulario a nivel Servidor
        $rules = [
            'name' => 'required',
            'edad' => 'numeric|required',
            'domicilio' => 'nullable',
            'antecentesPatologicos' => 'nullable',
            'antecentesOftalmicos' => 'nullable',
            'alergias' => 'nullable',
            'motivoConsulta' => 'nullable',
            //faltan campos agudeza visual sin lentes
            'agudezaVisual' => 'nullable',
            'agudezaVisualODEST' => 'nullable',
            'agudezaVisualOI' => 'nullable',
            'agudezaVisualOIEST' => 'nullable',
            'movOculares' => 'nullable',
            'movOcularesOI' => 'nullable',            
            //faltan campos autorrefraccions
            //faltan campos autorrefraccions
            'autorefraccion' => 'nullable',
            'autorefraccionODcilindro' => 'nullable',
            'autorefraccionODeje' => 'nullable',
            'autorrefraccionadd' => 'nullable',
            'autorefraccionOIesfera' => 'nullable',
            'autorefraccionOIcilindro' => 'nullable',
            'autorefraccionOIeje' => 'nullable',
            'autorrefraccionaddOI' => 'nullable',
            'queratometrias' => 'nullable',
            'queratometriasOI' => 'nullable',
            'refraccionODesfera' => 'nullable',
            'refraccionODcilindro' => 'nullable',
            'refraccionODeje' => 'nullable',
            'refraccionadd' => 'nullable',
            'refraccionOIesfera' => 'nullable',
            'refraccionOIcilindro' => 'nullable',
            'refraccionOIeje' => 'nullable',
            'refraccionaddOI' => 'nullable',

            'refraccion' => 'nullable',
            'anexosOD' => 'nullable',
            'anexosOI' => 'nullable',
            'biomicroscopia' => 'nullable',
            'biomicroscopiaOI' => 'nullable',
            'fondoOjo' => 'nullable',
            'fondoOjoOI' => 'nullable',
            'diagnostico' => 'required',
            'plan' => 'nullable',
            'receta' => 'required'
            

        ];
        $messages = [
            'name.required' => 'El nombre del paciente es obligatorio.',
            'edad.required' => 'Ingresar una edad.',
            'edad.numeric' => 'Ingresa una edad valida.',
            'domicilio.required' => 'Ingresa el domicilio del paciente.',
            'antecentesPatologicos.required' => 'Llena el campo Antecedentes Patológicos',
            'antecentesOftalmicos.required' => 'Llena el campo Antecedentes Oftalmicos',
            'alergias.required' => 'Llena el campo Alergias',
            'motivoConsulta.required' => 'Llena el campo Motivo de Consulta',
            //faltan campos agudeza visual sin lentes
            'movOculares.required' => 'Llena el campo Movimientos Oculares',
            'movOcularesOI.required' => 'Llena el campo Movimientos Oculares',
            //faltan campos autorrefraccion
            'queratometrias.required' => 'Llena el campo Queratometrías',
            'queratometriasOI.required' => 'Llena el campo Queratometrías',
            'refraccion.required' => ' ',
            'biomicroscopia.required' => 'Llena el campo Biomicroscopía',
            'biomicroscopiaOI.required' => 'Llena el campo Biomicroscopía',
            'fondoOjo.required' => 'Llena el campo Fondo de ojo',
            'fondoOjoOI.required' => 'Llena el campo Fondo de ojo',
            'diagnostico.required' => 'Llena el campo Diagnóstico',
            'plan.required' => 'Llena el campo Plan',
            'receta.required' => 'Llena el campo Receta',
        ];
        $this->validate($request, $rules, $messages);


        $specialty->name = $request->input('name');
        $specialty->edad = $request->input('edad');//EDAD
        $specialty->domicilio = $request->input('domicilio');
        $specialty->antecentesPatologicos = $request->input('antecentesPatologicos');
        $specialty->antecentesOftalmicos = $request->input('antecentesOftalmicos');
        $specialty->alergias = $request->input('alergias');
        $specialty->motivoConsulta = $request->input('motivoConsulta');
        $specialty->agudezaVisual = $request->input('agudezaVisual');//
        $specialty->agudezaVisualODEST = $request->input('agudezaVisualODEST');
        $specialty->agudezaVisualOI = $request->input('agudezaVisualOI');
        $specialty->agudezaVisualOIEST = $request->input('agudezaVisualOIEST');
        $specialty->movOculares = $request->input('movOculares');
        $specialty->movOcularesOI = $request->input('movOcularesOI');//agregado
        $specialty->autorefraccion = $request->input('autorefraccion');//autorefraccion OD esfera
        $specialty->autorefraccionODcilindro = $request->input('autorefraccionODcilindro');//autorefraccion OD cilindro
        $specialty->autorefraccionODeje = $request->input('autorefraccionODeje');//autorefraccion OD eje
        $specialty->autorrefraccionadd = $request->input('autorrefraccionadd');
        $specialty->autorefraccionOIesfera = $request->input('autorefraccionOIesfera');//autorefraccion OI esfera
        $specialty->autorefraccionOIcilindro = $request->input('autorefraccionOIcilindro');//autorefraccion OI cilindro
        $specialty->autorefraccionOIeje = $request->input('autorefraccionOIeje');//autorefraccion OI eje
        $specialty->autorrefraccionaddOI = $request->input('autorrefraccionaddOI');
        $specialty->queratometrias = $request->input('queratometrias');
        $specialty->queratometriasOI = $request->input('queratometriasOI');
        $specialty->refraccionODesfera = $request->input('refraccionODesfera');
        $specialty->refraccionODcilindro = $request->input('refraccionODcilindro');
        $specialty->refraccionODeje = $request->input('refraccionODeje');
        $specialty->refraccionadd = $request->input('refraccionadd');
        $specialty->refraccionOIesfera = $request->input('refraccionOIesfera');
        $specialty->refraccionOIcilindro = $request->input('refraccionOIcilindro');        
        $specialty->refraccionOIeje = $request->input('refraccionOIeje');
        $specialty->refraccionaddOI = $request->input('refraccionaddOI');
        $specialty->refraccion = $request->input('refraccion');
        
        $specialty->anexosOD = $request->input('anexosOD');
        $specialty->anexosOI = $request->input('anexosOI');
        $specialty->biomicroscopia = $request->input('biomicroscopia');
        $specialty->biomicroscopiaOI = $request->input('biomicroscopiaOI');
        $specialty->fondoOjo = $request->input('fondoOjo');
        $specialty->fondoOjoOI = $request->input('fondoOjoOI');
        $specialty->diagnostico = $request->input('diagnostico');
        $specialty->plan = $request->input('plan');

      
        if ($request->hasFile('imgDiagnosticas')){
           $archivoFoto=$request->file('imgDiagnosticas');
           $imgDiagnosticas=$archivoFoto->getClientOriginalName(); 
           $archivoFoto->move('images', $imgDiagnosticas);
           $specialty->imgDiagnosticas=$imgDiagnosticas; 
          }
  
        
        $specialty->usuarioModifico = $request->input('usuarioModifico');
        $specialty->receta = $request->input('receta');
        $specialty->save();
          //variable para mostrar mensaje de datos actualizados
        $notification = 'Datos actualizados correctamente!';
          //se concatena la var notificacion
        return redirect('especialidades')->with(compact('notification'));
    }

    //FUNCION PARA ELIMINAR DATOS
    public function destroy(Specialty $specialty){
        $deleteName = $specialty->name;
        $specialty->delete();
        //variable para mostrar mensaje de datos eliminados
        $notification = 'Los datos del paciente '. $deleteName .' se han eliminado correctamente!';
        //se concatena la var notificacion
        return redirect('/especialidades')->with(compact('notification'));

    }

}

