@extends('layouts.panel')

@section('content')
    <div class="card shadow">
        <div class="card-header border-0">
          <div class="row align-items-center">
            <div class="col">
              <h3 class="mb-0"> Registrar Paciente</h3>
            </div>
            <div class="col text-right">
              <a href="{{ url('/especialidades') }}" class="btn btn-sm btn-success">
                <i class="fas fa-chevron-left"></i>
                Regresar</a>
            </div>
          </div>
        </div>
        <!--FORMULARIO PARA REGISTRAR PACIENTES Y DATOS DE-->
        <div class="card-body">
            <!--Este metodo es para mostrar el error cuando los campos no se han llenado -->
            @if($errors->any())
              @foreach ($errors->all() as $error)
                  <div class="alert alert-warning" role="alert">
                    <i class="fas fa-exclamation-circle"></i>
                    <strong>Por favor!</strong> {{ $error }}
                  </div>
              @endforeach
            @endif
            <!--Fin del metodo de mensajes de error-->

            <form action="{{ url('/especialidades') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <!--CAMPO NOMBRE-->
                <div class="form-group">
                    <label ><b>Nombre</b></label>
                    <!--El value en este input quiere decir que se conserve los datos ante cualquier mensaje de error-->
                    <input type="text" name="name" class="form-control" value="{{old('name')}}">
                </div>
                <!--CAMPO EDAD-->
                <div class="form-group">
                    <label ><b>Edad</b></label>
                    <input type="text" name="edad" class="form-control" required value="{{old('edad')}}">
                </div>
                <!--CAMPO DOMICILIO-->
                <div class="form-group">
                  <label ><b>Domicilio</b></label>
                  <input type="text" name="domicilio" class="form-control" value="{{old('domicilio')}}">
                </div>
                <!--CAMPO ANTECEDENTES PATOLOGICOS-->
                <div class="form-group">
                  <label ><b>Antecedentes patológicos</b></label>
                  <input type="text" name="antecentesPatologicos" class="form-control" value="{{old('antecentesPatologicos')}}">
                </div>
                <!--CAMPO ANTECEDENTES OFTALMOLOGICOS-->
                <div class="form-group">
                  <label ><b>Antecedentes Oftalmológicos u Optométricos</b></label>
                  <input type="text" name="antecentesOftalmicos" class="form-control" value="{{old('antecentesOftalmicos')}}">
                </div>
                <!--CAMPO ALERGIAS-->
                <div class="form-group">
                  <label ><b>Alergias</b></label>
                  <input type="text" name="alergias" class="form-control" value="{{old('alergias')}}">
                </div>
                <!--CAMPO MOTIVO DE CONSULTA-->
                <div class="form-group">
                  <label ><b>Motivo de consulta</b></label>
                  <textarea class="form-control" id="motivoConsulta" name="motivoConsulta" class="form-control"  rows="3"> {{old('motivoConsulta')}} </textarea>
                </div>
                <!--AGUDEZA VISUAL LISTA-->
                <div class="form-group">
                  <label ><b>Agudeza visual sin lentes</b></label><br>                  
                  <label >&nbsp; &nbsp; O.D.</label>
                  <label >&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; EST</label> <br>
                  <div style="display: inline-flex">
                  
                    <select class="form-control form-control-sm" name="agudezaVisual" id="agudezaVisual">
                      <option value="" selected>Elegir</option>
                      <!--EN LOS PARENTESIS DEL FOREACH VA LA VARIABLE CREADA EN EL CONTROLADOR Y EL ALIAS
                      POSTERIORMENTE VA EL DATO QUE SE DESSE OBTENER-->
                      @foreach ($datos as $agudeza)
                          <option value="{{ $agudeza->name }}">{{ $agudeza->name }}</option>
                      @endforeach
                    </select>

                    <select class="form-control form-control-sm" name="agudezaVisualODEST" id="agudezaVisualODEST">
                      <option value="">Elegir</option>
                      @foreach ($datos as $agudeza)
                          <option value="{{ $agudeza->name }}">{{ $agudeza->name }}</option>
                      @endforeach
                    </select>

                  </div> <br>
                  <label >&nbsp; &nbsp; O.I.</label>
                  <label >&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; EST</label> <br>
                  <div style="display: inline-flex">
                    <select class="form-control form-control-sm" name="agudezaVisualOI" id="agudezaVisualOI">
                      <option value="" selected>Elegir</option>
                      @foreach ($datos as $agudeza)
                          <option value="{{ $agudeza->name }}">{{ $agudeza->name }}</option>
                      @endforeach
                    </select>

                    <select class="form-control form-control-sm" name="agudezaVisualOIEST" id="agudezaVisualOIEST">
                      <option value="">Elegir</option>
                      @foreach ($datos as $agudeza)
                          <option value="{{ $agudeza->name }}">{{ $agudeza->name }}</option>
                      @endforeach
                    </select>
                    
  
                    
                  </div>                 
                </div>
                <!--FIN AGUDEZA VISUAL LISTA-->
                <!--CAMPO MOVIMIENTOS OCULARES-->
                <div class="form-group">
                  <label ><b>Movimientos oculares</b></label><br>
                  <label >&nbsp; &nbsp; O.D.</label>
                  <input type="text" name="movOculares" class="form-control" value="{{old('movOculares')}}">
                </div>
                <div class="form-group">
                  <label >&nbsp; &nbsp; O.I.</label>
                  <input type="text" name="movOcularesOI" class="form-control" value="{{old('movOcularesOI')}}">
                </div>                
                <!--COMBO BOX DE AUTOREFRACCIONES-->
                <div>
                  <label ><b>Autorefracción</b></label><br>
                  <label ><b>&nbsp; &nbsp; O.D.</b></label><br>
                  <label for="#">&nbsp; &nbsp; &nbsp; Esfera </label>
                  <label for="#">&nbsp; &nbsp; &nbsp; Cilindro</label>
                  <label for="#">&nbsp; &nbsp; &nbsp; Eje</label>
                  <label for="#">&nbsp; &nbsp; &nbsp; &nbsp; Adición</label><br>
                  

                  <div style="display: inline-flex">

                    <select class="form-control form-control-sm" name="autorefraccion" id="autorefraccion">
                      <option value="">Elegir</option>
                      @foreach ($datosauto as $autorefrac)
                          <option value="{{ $autorefrac->valor }}">{{ $autorefrac->valor }}</option>
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="autorefraccionODcilindro" id="autorefraccionODcilindro">
                      <option value="">Elegir</option>
                      @foreach ($datoscilindro as $autorefrac)
                          <option value="{{ $autorefrac->refraccil }}">{{ $autorefrac->refraccil }}</option>
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="autorefraccionODeje" id="autorefraccionODeje">
                      <option value="">Elegir</option>
                      @foreach ($autorefraccejes as $autorefraceje)
                          <option value="{{ $autorefraceje->valoreje }}">{{ $autorefraceje->valoreje }}</option>
                      @endforeach
                    </select>
                    
                    <select class="form-control form-control-sm" name="autorrefraccionadd" id="autorrefraccionadd">
                      <option value="">Elegir</option>
                      @foreach ($add as $tbladd)
                          <option value="{{ $tbladd->adicion }}">{{ $tbladd->adicion }}</option>
                      @endforeach
                    </select>
                    
                  </div> <br> <br>
                  

                  <label for="autorefraccion"><b>&nbsp; &nbsp; O.I.</b></label><br>
                  <div  style="display: flex">
                   <label for="#">&nbsp; &nbsp; &nbsp; Esfera </label>
                  <label for="#">&nbsp; &nbsp; &nbsp; Cilindro</label>
                  <label for="#">&nbsp; &nbsp; &nbsp; Eje</label>
                  <label for="#">&nbsp; &nbsp; &nbsp; &nbsp; Adición</label><br>
                  </div>
                  <div style="display: inline-flex">
                    <select class="form-control form-control-sm" name="autorefraccionOIesfera" id="autorefraccionOIesfera">
                      <option value="">Elegir</option>
                      @foreach ($datosauto as $autorefrac)
                          <option value="{{ $autorefrac->valor }}">{{ $autorefrac->valor }}</option>
                      @endforeach
                    </select> 
                    <select class="form-control form-control-sm" name="autorefraccionOIcilindro" id="autorefraccionOIcilindro">
                      <option value="">Elegir</option>
                      @foreach ($datoscilindro as $autorefrac)
                          <option value="{{ $autorefrac->refraccil }}">{{ $autorefrac->refraccil }}</option>
                      @endforeach
                    </select> 
                    <select class="form-control form-control-sm" name="autorefraccionOIeje" id="autorefraccionOIeje">
                      <option value="">Elegir</option>
                      @foreach ($autorefraccejes as $autorefraceje)
                          <option value="{{ $autorefraceje->valoreje }}">{{ $autorefraceje->valoreje }}</option>
                      @endforeach
                    </select> 

                    <select class="form-control form-control-sm" name="autorrefraccionaddOI" id="autorrefraccionaddOI">
                      <option value="">Elegir</option>
                      @foreach ($add as $tbladd)
                          <option value="{{ $tbladd->adicion }}">{{ $tbladd->adicion }}</option>
                      @endforeach
                    </select>
                    

                  </div>
                </div><br>
                <!--FIN DE COMBO BOX DE AUTOREFRACCIONES-->   
                <!--CAMPO QUERATOMETRIAS-->
                <div>
                  <label for="queratometrias"><b>Queratometrías</b></label><br>
                  <label for="queratometrias">&nbsp; &nbsp; O.D.</label><br>
                  <input type="text" name="queratometrias" class="form-control" value="{{old('queratometrias')}}">
                </div>                
                <div>
                  <label for="queratometriasOI">&nbsp; &nbsp; O.I.</label><br>
                  <input type="text" name="queratometriasOI" class="form-control" value="{{old('queratometriasOI')}}">
                </div><br>
                <!--COMBO BOX DE REFRACCIONES-->
                <div>
                  <label for="refraccionODesfera"><b>Refracción</b></label><br>
                  <label for="refraccionODesfera"><b>&nbsp; &nbsp; O.D.</b></label><br>
                  <label for="">&nbsp; &nbsp; &nbsp; Esfera </label>
                  <label for="">&nbsp; &nbsp; &nbsp; Cilindro</label>
                  <label for="">&nbsp; &nbsp; &nbsp; Eje</label>
                  <label for="#">&nbsp; &nbsp; &nbsp; &nbsp; Adición</label><br>
                  <div style="display: inline-flex">
                    <select class="form-control form-control-sm" name="refraccionODesfera" id="refraccionODesfera">
                      <option value="">Elegir</option>
                      @foreach ($datosauto as $autorefrac)
                          <option value="{{ $autorefrac->valor }}">{{ $autorefrac->valor }}</option>
                      @endforeach
                    </select> 
                    <select class="form-control form-control-sm" name="refraccionODcilindro" id="refraccionODcilindro">
                      <option value="">Elegir</option>
                      @foreach ($datoscilindro as $autorefrac)
                          <option value="{{ $autorefrac->refraccil }}">{{ $autorefrac->refraccil }}</option>
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="refraccionODeje" id="refraccionODeje">
                      <option value="">Elegir</option>
                      @foreach ($autorefraccejes as $autorefraceje)
                          <option value="{{ $autorefraceje->valoreje }}">{{ $autorefraceje->valoreje }}</option>
                      @endforeach
                    </select> 
                    <select class="form-control form-control-sm" name="refraccionadd" id="refraccionadd">
                      <option value="">Elegir</option>
                      @foreach ($add as $tbladd)
                          <option value="{{ $tbladd->adicion }}">{{ $tbladd->adicion }}</option>
                      @endforeach
                    </select>

                  </div> <br> <br>
                  <label for="refraccion"><b>&nbsp; &nbsp; O.I.</b></label><br>
                  <label for="#">&nbsp; &nbsp; &nbsp; Esfera </label>
                  <label for="#">&nbsp; &nbsp; &nbsp; Cilindro </label>
                  <label for="#">&nbsp; &nbsp; &nbsp; Eje</label>
                  <label for="#">&nbsp; &nbsp; &nbsp; &nbsp; Adición</label><br> 
                  <div style="display: inline-flex">
                    <select class="form-control form-control-sm" name="refraccionOIesfera" id="refraccionOIesfera">
                      <option value="">Elegir</option>
                      @foreach ($datosauto as $autorefrac)
                          <option value="{{ $autorefrac->valor }}">{{ $autorefrac->valor }}</option>
                      @endforeach
                    </select> 
                    <select class="form-control form-control-sm" name="refraccionOIcilindro" id="refraccionOIcilindro">
                      <option value="">Elegir</option>
                      @foreach ($datoscilindro as $autorefrac)
                          <option value="{{ $autorefrac->refraccil }}">{{ $autorefrac->refraccil }}</option>
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="refraccionOIeje" id="refraccionOIeje">
                      <option value="">Elegir</option>
                      @foreach ($autorefraccejes as $autorefraceje)
                          <option value="{{ $autorefraceje->valoreje }}">{{ $autorefraceje->valoreje }}</option>
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="refraccionaddOI" id="refraccionaddOI">
                      <option value="">Elegir</option>
                      @foreach ($add as $tbladd)
                          <option value="{{ $tbladd->adicion }}">{{ $tbladd->adicion }}</option>
                      @endforeach
                    </select>
                  <!--<input class="form-control form-control-sm" type="number" placeholder="eje">-->

                  </div> <br> <br>
                </div>
                <!--CAMPO REFRACCIONES OBSERVACINES-->                 
                <div class="form-group">
                  <label for="refraccion">&nbsp; &nbsp; &nbsp; Tipo de lente y Tratamiento</label><br>
                  <input type="text" name="refraccion" class="form-control" value="{{old('refraccion')}}">
                </div>
                <!--FIN DE REFRACCIONES-->
                <!--CAMPO ANEXOS-->
                <div class="form-group">
                  <label for="anexos"><b>ANEXOS</b></label><br>
                  <label for="anexosOD">&nbsp; &nbsp; O.D.</label>
                  <input type="text" name="anexosOD" class="form-control" value="{{old('anexosOD')}}">
                </div>
                <div class="form-group">
                  <label for="anexosOI">&nbsp; &nbsp; O.I.</label>
                  <input type="text" name="anexosOI" class="form-control" value="{{old('anexosOI')}}">
                </div>
                <!--CAMPO BIOMICROSCOPIA-->
                <div class="form-group">
                  <label for="biomicroscopia"><b>Biomicroscopía</b></label><br>
                  <label for="biomicroscopia">&nbsp; &nbsp; O.D.</label>
                  <textarea class="form-control"  name="biomicroscopia" id="biomicroscopia" class="form-control" rows="2">{{old('biomicroscopia')}}</textarea>
                </div>
                <div class="form-group">
                  <label for="biomicroscopiaOI">&nbsp; &nbsp; O.I.</label>
                  <textarea class="form-control"  name="biomicroscopiaOI" id="biomicroscopiaOI" class="form-control" rows="2">{{old('biomicroscopiaOI')}}</textarea>
                </div>
                <!--CAMPO FONDO DE OJO-->
                <div class="form-group">
                  <label for="fondoOjo"><b>Fondo de ojo</b></label><br>
                  <label for="fondoOjo"> &nbsp; &nbsp;O.D.</label>
                  <textarea class="form-control" id="fondoOjo" name="fondoOjo" class="form-control" rows="2"> {{old('fondoOjo')}}</textarea>
                </div>
                <div class="form-group">
                  <label for="fondoOjoOI">&nbsp; &nbsp; O.I.</label>
                  <textarea class="form-control" id="fondoOjoOI" name="fondoOjoOI" class="form-control" rows="2">{{old('fondoOjoOI')}}</textarea>
                </div>
                <!--CAMPO DIAGNOSTICO-->
                <div class="form-group">
                  <label for="diagnostico"><b>Diagnóstico</b></label>
                  <textarea class="form-control" id="diagnostico" name="diagnostico" class="form-control" rows="2">{{old('diagnostico')}}</textarea>
                </div>
                <!--CAMPO PLAN-->
                <div class="form-group">
                  <label for="plan"><b>Plan</b></label>
                  <textarea class="form-control" id="plan" name="plan" class="form-control" rows="3">{{old('plan')}}</textarea>
                </div>
                <!--CAMPO IMG DIAGNOSTICAS-->
                <div class="form-group">
                  <label for="imgDiagnosticas"><b>Imágenes diagnosticas</b></label>
                  <input accept="image/*" type="file" name="imgDiagnosticas" id="imgDiagnosticas" class="form-control" value="{{old('imgDiagnosticas')}}">
                </div>
                <!--CAMPO USUARIO MODFICO-->
                <div class="form-group">
                  <label for="usuarioModifico"><b>Usuario que modifico</b></label>
                  <input type="text" name="usuarioModifico" class="form-control" value="{{Auth::user()->name;}}" readonly>                                    
                </div>
                <!--RECETA-->
                <div class="form-group">
                  <label for="receta"><b>Receta</b></label>
                  <textarea class="form-control"  name="receta" id="receta" class="form-control" rows="10">{{old('receta')}}</textarea>
                </div>
                
                <!--BOTON GUARDAR-->
                <button type="submit" class="btn btn-sm btn-primary">Registrar</button>
                <div class="col text-right">
                  <a href="{{ url('/especialidades') }}" class="btn btn-sm btn-success">
                    <i class="fas fa-chevron-left"></i>
                    Cancelar</a>
              </div>
            </form>
        </div>
      </div>
@endsection