@extends('layouts.panel')

@section('content')
    <div class="card shadow">
        <div class="card-header border-0">
          <div class="row align-items-center">
            <div class="col">
              <h3 class="mb-0"> Editar datos del Paciente</h3>
            </div>
            <div class="col text-right">
              <a href="{{ url('/especialidades') }}" class="btn btn-sm btn-success">
                <i class="fas fa-chevron-left"></i>
                Regresar</a>
            </div>
          </div>
        </div>
        <!--FORMULARIO PARA REGISTRAR PACIENTES Y DATOS DE-->
        <div class="card-body">
            <!--Este metodo es para mostrar el error cuando los campos no se han llenado -->
            @if($errors->any())
              @foreach ($errors->all() as $error)
                  <div class="alert alert-warning" role="alert">
                    <i class="fas fa-exclamation-circle"></i>
                    <strong>Por favor!</strong> {{ $error }}
                  </div>
              @endforeach
            @endif
            <!--Fin del metodo de mensajes de error-->

            <form action="{{ url('/especialidades/'.$specialty->id) }}" method="POST" enctype="multipart/form-data">
                @csrf
                @method('PUT')
                <!--CAMPO NOMBRE-->
                <div class="form-group">
                    <label for="name"><b>Nombre</b></label>
                    <!--El value OLD en este input quiere decir que se conserve los datos ante cualquier mensaje de error-->
                    <input type="text" name="name" class="form-control" value="{{old('name', $specialty->name )}}">
                </div>
                <!--CAMPO EDAD-->
                <div class="form-group">
                  <label for="edad"><b>Edad</b></label>
                  <input type="text" name="edad" class="form-control" required value="{{old('edad', $specialty->edad)}}">
                </div>
                <!--CAMPO DOMICILIO-->
                <div class="form-group">
                  <label for="domicilio"><b>Domicilio</b></label>
                  <input type="text" name="domicilio" class="form-control" value="{{old('domicilio', $specialty->domicilio)}}">
                </div>
                <!--CAMPO ANTECEDENTES PATOLOGICOS-->
                <div class="form-group">
                  <label for="antecentesPatologicos"><b>Antecedentes patológicos</b></label>
                  <input type="text" name="antecentesPatologicos" class="form-control" value="{{old('antecentesPatologicos', $specialty->antecentesPatologicos )}}">
                </div>
                <!--CAMPO ANTECEDENTES OFTALMOLOGICOS-->
                <div class="form-group">
                  <label for="antecentesOftalmicos"><b>Antecedentes Oftalmológicos u Optométricos</b></label>
                  <input type="text" name="antecentesOftalmicos" class="form-control" value="{{old('antecentesOftalmicos', $specialty->antecentesOftalmicos )}}">
                </div>
                <!--CAMPO ALERGIAS-->
                <div class="form-group">
                  <label for="alergias"><b>Alergias</b></label>
                  <input type="text" name="alergias" class="form-control" value="{{old('alergias', $specialty->alergias)}}">
                </div>
                <!--CAMPO MOTIVO DE CONSULTA-->
                <div class="form-group">
                  <label for="motivoConsulta"><b>Motivo de consulta</b></label>
                  <textarea class="form-control" id="motivoConsulta" name="motivoConsulta" class="form-control"  rows="3"> {{old('motivoConsulta', $specialty->motivoConsulta)}} </textarea>
                </div>
                <!--AGUDEZA VISUAL LISTA-->
                <div class="form-group">
                  <label ><b>Agudeza visual sin lentes</b></label><br>                  
                  <label for="agudezaVisual">&nbsp; &nbsp; O.D.</label>
                  <label for="agudezaVisualODEST">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; EST</label> <br>
                  <div style="display: inline-flex">
                      <!--EN LOS PARENTESIS DEL FOREACH VA LA VARIABLE CREADA EN EL CONTROLADOR Y EL ALIAS
                      POSTERIORMENTE VA EL DATO QUE SE DESSE OBTENER-->
                      

                      <select class="form-control form-control-sm" name="agudezaVisual" id="agudezaVisual">
                        @foreach ($datos as $agudeza)
                          <option value="{{ $agudeza->name }}" {{$agudeza->name == $specialty->agudezaVisual ? 'selected' : ' '}} > {{ $agudeza->name }}</option>              
                        @endforeach
                      </select>

                      <select class="form-control form-control-sm" name="agudezaVisualODEST" id="agudezaVisualODEST">
                        @foreach ($datos as $agudeza)
                          <option value="{{ $agudeza->name }}" {{$agudeza->name == $specialty->agudezaVisualODEST ? 'selected' : ' '}} > {{ $agudeza->name }}</option>              
                        @endforeach
                      </select>
                  </div> <br>
                  <label for="agudezaVisualOI">&nbsp; &nbsp; O.I.</label>
                  <label for="agudezaVisualOIEST">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; EST</label> <br>
                  <div style="display: inline-flex">
                    <select class="form-control form-control-sm" name="agudezaVisualOI" id="agudezaVisualOI">
                      @foreach ($datos as $agudeza)
                        <option value="{{ $agudeza->name }}" {{$agudeza->name == $specialty->agudezaVisualOI ? 'selected' : ' '}} > {{ $agudeza->name }}</option>              
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="agudezaVisualOIEST" id="agudezaVisualOIEST">
                      @foreach ($datos as $agudeza)
                        <option value="{{ $agudeza->name }}" {{$agudeza->name == $specialty->agudezaVisualOIEST ? 'selected' : ' '}} > {{ $agudeza->name }}</option>              
                      @endforeach
                    </select>
                  </div>                 
                </div>
                <!--FIN AGUDEZA VISUAL LISTA-->
                <!--CAMPO MOVIMIENTOS OCULARES-->
                <div class="form-group">
                  <label for="movOculares"><b>Movimientos oculares</b></label><br>
                  <label for="movOculares">&nbsp; &nbsp; O.D.</label>
                  <input type="text" name="movOculares" class="form-control" value="{{old('movOculares', $specialty->movOculares)}}">
                </div>
                <div class="form-group">
                  <label for="movOcularesOI">&nbsp; &nbsp; O.I.</label>
                  <input type="text" name="movOcularesOI" class="form-control" value="{{old('movOcularesOI', $specialty->movOcularesOI)}}">
                </div>  
                <!--COMBO BOX DE AUTOREFRACCIONES-->
                <div>
                  <label ><b>Autorefracción</b></label><br>
                  <label ><b>&nbsp; &nbsp; O.D.</b></label><br>
                  <label for="autorefraccion">&nbsp; &nbsp; &nbsp; Esfera </label>
                  <label for="autorefraccionODcilindro">&nbsp; &nbsp; &nbsp; Cilindro</label>
                  <label for="autorefraccionODeje">&nbsp; &nbsp; &nbsp; Eje</label>
                  <label for="#">&nbsp; &nbsp; &nbsp; &nbsp; Adición</label><br> 
                  <div style="display: inline-flex">
                    <select class="form-control form-control-sm" name="autorefraccion" id="autorefraccion">
                      @foreach ($datosauto as $agudeza)
                        <option value="{{ $agudeza->valor }}" {{$agudeza->valor == $specialty->autorefraccion ? 'selected' : ' '}} > {{ $agudeza->valor }}</option>              
                      @endforeach
                    </select>

                    <select class="form-control form-control-sm" name="autorefraccionODcilindro" id="autorefraccionODcilindro">
                      @foreach ($datoscilindro as $agudeza)
                        <option value="{{ $agudeza->refraccil }}" {{$agudeza->refraccil == $specialty->autorefraccionODcilindro ? 'selected' : ' '}} > {{ $agudeza->refraccil }}</option>              
                      @endforeach
                    </select>

                    <select class="form-control form-control-sm" name="autorefraccionODeje" id="autorefraccionODeje">
                      @foreach ($autorefraccejes as $agudeza)
                        <option value="{{ $agudeza->valoreje }}" {{$agudeza->valoreje == $specialty->autorefraccionODeje ? 'selected' : ' '}} > {{ $agudeza->valoreje }}</option>              
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="autorrefraccionadd" id="autorrefraccionadd">
                      
                      @foreach ($add as $tbladd)
                          <option value="{{ $tbladd->adicion }}" {{ $tbladd->adicion == $specialty->autorrefraccionadd ? 'selected' : ' '}} > {{ $tbladd->adicion }}</option>
                      @endforeach
                    </select>
 
                  </div> <br> <br>
                  
                    <label for="autorefraccion"><b>&nbsp; &nbsp; O.I.</b></label><br>
                  <div  style="display: flex">
                    <label for="autorefraccionOIesfera">&nbsp; &nbsp; &nbsp; Esfera </label>
                    <label for="autorefraccionOIcilindro">&nbsp; &nbsp; &nbsp; Cilindro</label>
                    <label for="autorefraccionOIeje">&nbsp; &nbsp; &nbsp; Eje</label>
                    
                  <label for="#">&nbsp; &nbsp; &nbsp; &nbsp; Adición</label><br> 
                  </div>
                    <div style="display: inline-flex">
                    <select class="form-control form-control-sm" name="autorefraccionOIesfera" id="autorefraccionOIesfera">
                      @foreach ($datosauto as $agudeza)
                        <option value="{{ $agudeza->valor }}" {{$agudeza->valor == $specialty->autorefraccionOIesfera ? 'selected' : ' '}} > {{ $agudeza->valor }}</option>              
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="autorefraccionOIcilindro" id="autorefraccionOIcilindro">
                      @foreach ($datoscilindro as $agudeza)
                        <option value="{{ $agudeza->refraccil }}" {{$agudeza->refraccil == $specialty->autorefraccionOIcilindro ? 'selected' : ' '}} > {{ $agudeza->refraccil }}</option>              
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="autorefraccionOIeje" id="autorefraccionOIeje">
                      @foreach ($autorefraccejes as $agudeza)
                        <option value="{{ $agudeza->valoreje }}" {{$agudeza->valoreje == $specialty->autorefraccionOIeje ? 'selected' : ' '}} > {{ $agudeza->valoreje }}</option>              
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="autorrefraccionaddOI" id="autorrefraccionaddOI">
                      
                      @foreach ($add as $tbladd)
                          <option value="{{ $tbladd->adicion }}" {{ $tbladd->adicion == $specialty->autorrefraccionaddOI ? 'selected' : ' '}} > {{ $tbladd->adicion }}</option>
                      @endforeach
                    </select> 
                  </div><br>
                <!--FIN DE COMBO BOX DE AUTOREFRACCIONES-->   
                <!--CAMPO QUERATOMETRIAS-->
                <div>
                  <label for="queratometrias"><b>Queratometrías</b></label><br>
                  <label for="queratometrias">&nbsp; &nbsp; O.D.</label><br>
                  <input type="text" name="queratometrias" class="form-control" value="{{old('queratometrias', $specialty->queratometrias)}}">
                </div>                
                <div>
                  <label for="queratometriasOI">&nbsp; &nbsp; O.I.</label><br>
                  <input type="text" name="queratometriasOI" class="form-control" value="{{old('queratometriasOI', $specialty->queratometriasOI)}}">
                </div><br>
                <!--COMBO BOX DE REFRACCIONES-->
                <div>
                  <label for="refraccionODesfera"><b>Refracción</b></label><br>
                  <label for="refraccionODesfera"><b>&nbsp; &nbsp; O.D.</b></label><br>
                  <label for="refraccionODesfera">&nbsp; &nbsp; &nbsp; Esfera </label>
                  <label for="refraccionODcilindro">&nbsp; &nbsp; &nbsp; Cilindro</label>
                  <label for="refraccionODeje">&nbsp; &nbsp; &nbsp; Eje</label>
                  
                  <label for="#">&nbsp; &nbsp; &nbsp; &nbsp; Adición</label><br> 
                  <div style="display: inline-flex">
                    <select class="form-control form-control-sm" name="refraccionODesfera" id="refraccionODesfera">
                      @foreach ($datosauto as $agudeza)
                        <option value="{{ $agudeza->valor }}" {{$agudeza->valor == $specialty->refraccionODesfera ? 'selected' : ' '}} > {{ $agudeza->valor }}</option>              
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="refraccionODcilindro" id="refraccionODcilindro">
                      @foreach ($datoscilindro as $agudeza)
                        <option value="{{ $agudeza->refraccil }}" {{$agudeza->refraccil == $specialty->refraccionODcilindro ? 'selected' : ' '}} > {{ $agudeza->refraccil }}</option>              
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="refraccionODeje" id="refraccionODeje">
                      @foreach ($autorefraccejes as $agudeza)
                        <option value="{{ $agudeza->valoreje }}" {{$agudeza->valoreje == $specialty->refraccionODeje ? 'selected' : ' '}} > {{ $agudeza->valoreje }}</option>              
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="refraccionadd" id="refraccionadd">
                      
                      @foreach ($add as $tbladd)
                          <option value="{{ $tbladd->adicion }}" {{ $tbladd->adicion == $specialty->refraccionadd ? 'selected' : ' '}} > {{ $tbladd->adicion }}</option>
                      @endforeach
                    </select> 
                  </div> <br> <br>
                  <label for="refraccion"><b>&nbsp; &nbsp; O.I.</b></label><br>
                  <label for="refraccionOIesfera">&nbsp; &nbsp; &nbsp; Esfera </label>
                  <label for="refraccionOIcilindro">&nbsp; &nbsp; &nbsp; Cilindro </label>
                  <label for="refraccionOIeje">&nbsp; &nbsp; &nbsp; Eje</label>
                  
                  <label for="#">&nbsp; &nbsp; &nbsp; &nbsp; Adición</label><br> 
                  <div style="display: inline-flex">
                    <select class="form-control form-control-sm" name="refraccionOIesfera" id="refraccionOIesfera">
                      
                      @foreach ($datosauto as $agudeza)
                        <option value="{{ $agudeza->valor }}" {{$agudeza->valor == $specialty->refraccionOIesfera ? 'selected' : ' '}} > {{ $agudeza->valor }}</option>              
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="refraccionOIcilindro" id="refraccionOIcilindro">
                      
                      @foreach ($datoscilindro as $agudeza)
                        <option value="{{ $agudeza->refraccil }}" {{$agudeza->refraccil == $specialty->refraccionOIcilindro ? 'selected' : ' '}} > {{ $agudeza->refraccil }}</option>              
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="refraccionOIeje" id="refraccionOIeje">
                      @foreach ($autorefraccejes as $agudeza)
                        <option value="{{ $agudeza->valoreje }}" {{$agudeza->valoreje == $specialty->refraccionOIeje ? 'selected' : ' '}} > {{ $agudeza->valoreje }}</option>              
                      @endforeach
                    </select>
                    <select class="form-control form-control-sm" name="refraccionaddOI" id="refraccionaddOI">
                      
                      @foreach ($add as $tbladd)
                          <option value="{{ $tbladd->adicion }}" {{ $tbladd->adicion == $specialty->refraccionaddOI ? 'selected' : ' '}} > {{ $tbladd->adicion }}</option>
                      @endforeach
                    </select> 
                  </div> <br> <br>
                </div>
                <!--CAMPO REFRACCIONES OBSERVACINES--> 
                <div class="form-group">
                  <label for="refraccion">&nbsp; &nbsp; &nbsp; Tipo de lente y Tratamiento</label><br> 
                  <input type="text" name="refraccion" class="form-control" value="{{old('refraccion', $specialty->refraccion)}}">
                </div>
                <!--FIN DE REFRACCIONES-->
                <!--CAMPO ANEXOS-->
                <div class="form-group">
                  <label for="biomicroscopia"><b>ANEXOS</b></label><br>
                  <label for="anexosOD">&nbsp; &nbsp; O.D.</label>
                  <input type="text" name="anexosOD" class="form-control" value="{{old('anexosOD', $specialty->anexosOI)}}">
                </div>
                <div class="form-group">
                  <label for="anexosOI">&nbsp; &nbsp; O.I.</label>
                  <input type="text" name="anexosOI" class="form-control" value="{{old('anexosOI', $specialty->anexosOI)}}">
                </div>
                <!--CAMPO BIOMICROSCOPIA-->
                <div class="form-group">
                  <label for="biomicroscopia"><b>Biomicroscopía</b></label><br>
                  <label for="biomicroscopia">&nbsp; &nbsp; O.D.</label>
                  <textarea class="form-control"  name="biomicroscopia" id="biomicroscopia" class="form-control" rows="2">{{old('biomicroscopia', $specialty->biomicroscopia)}}</textarea>
                </div>
                <div class="form-group">
                  <label for="biomicroscopiaOI">&nbsp; &nbsp; O.I.</label>
                  <textarea class="form-control"  name="biomicroscopiaOI" id="biomicroscopiaOI" class="form-control" rows="2">{{old('biomicroscopia', $specialty->biomicroscopiaOI)}}</textarea>
                </div>
                <!--CAMPO FONDO DE OJO-->
                <div class="form-group">
                  <label for="fondoOjo"><b>Fondo de ojo</b></label><br>
                  <label for="fondoOjo"> &nbsp; &nbsp;O.D.</label>
                  <textarea class="form-control" id="fondoOjo" name="fondoOjo" class="form-control" rows="2"> {{old('fondoOjo', $specialty->fondoOjo)}}</textarea>
                </div>
                <div class="form-group">
                  <label for="fondoOjoOI">&nbsp; &nbsp; O.I.</label>
                  <textarea class="form-control" id="fondoOjoOI" name="fondoOjoOI" class="form-control" rows="2">{{old('fondoOjoOI', $specialty->fondoOjoOI)}}</textarea>
                </div>
                <!--CAMPO DIAGNOSTICO-->
                <div class="form-group">
                  <label for="diagnostico"><b>Diagnóstico</b></label>
                  <textarea class="form-control" id="diagnostico" name="diagnostico" class="form-control" rows="2">{{old('diagnostico', $specialty->diagnostico)}}</textarea>
                </div>
                <!--CAMPO PLAN-->
                <div class="form-group">
                  <label for="plan"><b>Plan</b></label>
                  <textarea class="form-control" id="plan" name="plan" class="form-control" rows="3">{{old('plan', $specialty->plan)}}</textarea>
                </div>
                <!--CAMPO IMG DIAGNOSTICAS-->
                <div class="form-group">
                  <label for="imgDiagnosticas"><b>Imágenes diagnosticas</b></label>
                  <input accept="image/*" type="file" name="imgDiagnosticas" id="imgDiagnosticas" class="form-control" value="/uploads/{{old('imgDiagnosticas', $specialty->imgDiagnosticas)}}">
                </div>
                <!--CAMPO USUARIO MODFICO-->
                <div class="form-group">
                  <label for="usuarioModifico"><b>Usuario que modifico</b></label>
                  <input type="text" name="usuarioModifico" class="form-control" value="{{Auth::user()->name;}}" readonly>
                </div>
                <!--RECETA-->
                <div class="form-group">
                  <label for="receta"><b>Receta</b></label>
                  <textarea class="form-control"  name="receta" id="receta" class="form-control" rows="10">{{old('receta', $specialty->receta)}}</textarea>
                </div>
                <!--BOTON EDITAR-->
                <button type="submit" class="btn btn-sm btn-primary">Guardar</button>
                <div class="col text-right">
                    <a href="{{ url('/especialidades') }}" class="btn btn-sm btn-success">
                      <i class="fas fa-chevron-left"></i>
                      Cancelar</a>
                </div>
            </form>
        </div>
      </div>

@endsection