

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.2/css/bootstrap.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/2.0.5/css/dataTables.bootstrap4.css">

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <div class="card shadow">
        <div class="card-header border-0">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="mb-0">Expedientes de Pacientes</h3>
                </div>
                
                <div class="col text-right">
                    <a href="<?php echo e(url('/especialidades/create')); ?>" class="btn btn-sm btn-primary">Nuevo Paciente</a>
                </div>

            </div>
        </div>
        <div class="card-body">
            <?php if(session('notification')): ?>
                <div class="alert alert-success" role="alert">
                    <?php echo e(session('notification')); ?>

                </div>
            <?php endif; ?>
        </div>
    </div>
    <div class="card shadow">
        <div class="card">
            <div class="card-body">
                <div class="table-responsive">
                    <table id="pacientes" class="table align-items-center table-flush" style="width:100%">
                        <thead class="thead-light">
                            <tr>
                                <th>Receta</th>
                                <th>Folio</th>
                                <th>Nombre</th>
                                <th>Edad</th>
                                <th>Domicilio</th>
                                <th>Antecedentes patológicos</th>
                                <th>Antecedentes oftalmológicos</th>
                                <th>Alergias</th>
                                <th>Motivo consulta</th>
                                <th>Agudeza visual O.D.</th>
                                <th>Agudeza visual O.D. EST</th>
                                <th>Agudeza visual O.I.</th>
                                <th>Agudeza visual O.I. EST</th>
                                <th>Movimientos oculares O.D.</th>
                                <th>Movimientos oculares O.I.</th>
                                <th>Autorefracción O.D. Esfera </th>
                                <th>Autorefracción O.D. Cilindro </th>
                                <th>Autorefracción O.D. Eje </th>
                                <th>Autorefracción O.I. Esfera </th>
                                <th>Autorefracción O.I. Cilindro </th>
                                <th>Autorefracción O.I. Eje </th>
                                <th>Queratometrías O.D.</th>
                                <th>Queratometrías O.I.</th>
                                <th>Refracción O.D. Esfera</th>
                                <th>Refracción O.D. Cilindro</th>
                                <th>Refracción O.D. Eje</th>
                                <th>Refracción O.I. Esfera</th>
                                <th>Refracción O.I. Cilindro</th>
                                <th>Refracción O.I. Eje</th>
                                <th>Refracción</th>
                                <th>Biomicroscopia O.D.</th>
                                <th>Biomicroscopia O.I.</th>
                                <th>Fondo de ojo O.D.</th>
                                <th>Fondo de ojo O.I.</th>
                                <th>Diagnostico</th>
                                <th>Plan</th>
                                <th>IMG Diagnosticas</th>
                                <th>Usuario de modificación</th>
                                <th>Receta</th>
                                <th>Fecha</th>
                                <th>Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $specialties; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $especialidad): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                    <!--Botones de la tabla -->
                                    <a href="<?php echo e(url('/especialidades/' . $especialidad->id . '/pdf')); ?>"
                                            class="btn-sm btn-primary" target="_blank">Receta</a>
                                    </td>
                                    <td><?php echo e($especialidad->id); ?></td>
                                    <td><?php echo e($especialidad->name); ?></td>
                                    <td><?php echo e($especialidad->edad); ?></td>
                                    <td><?php echo e($especialidad->domicilio); ?></td>
                                    <td><?php echo e($especialidad->antecentesPatologicos); ?></td>
                                    <td><?php echo e($especialidad->antecentesOftalmicos); ?></td>
                                    <td><?php echo e($especialidad->alergias); ?></td>
                                    <td><?php echo e($especialidad->motivoConsulta); ?></td>
                                    <td><?php echo e($especialidad->agudezaVisual); ?></td>
                                    <td><?php echo e($especialidad->agudezaVisualODEST); ?></td>
                                    <td><?php echo e($especialidad->agudezaVisualOI); ?></td>
                                    <td><?php echo e($especialidad->agudezaVisualOIEST); ?></td>
                                    <td><?php echo e($especialidad->movOculares); ?></td>
                                    <td><?php echo e($especialidad->movOcularesOI); ?></td>
                                    <td><?php echo e($especialidad->autorefraccion); ?></td>
                                    <td><?php echo e($especialidad->autorefraccionODcilindro); ?></td>
                                    <td><?php echo e($especialidad->autorefraccionODeje); ?></td>
                                    <td><?php echo e($especialidad->autorefraccionOIesfera); ?></td>
                                    <td><?php echo e($especialidad->autorefraccionOIcilindro); ?></td>
                                    <td><?php echo e($especialidad->autorefraccionOIeje); ?></td>
                                    <td><?php echo e($especialidad->queratometrias); ?></td>
                                    <td><?php echo e($especialidad->queratometriasOI); ?></td>
                                    <td><?php echo e($especialidad->refraccionODesfera); ?></td>
                                    <td><?php echo e($especialidad->refraccionODcilindro); ?></td>
                                    <td><?php echo e($especialidad->refraccionODeje); ?></td>
                                    <td><?php echo e($especialidad->refraccionOIesfera); ?></td>
                                    <td><?php echo e($especialidad->refraccionOIcilindro); ?></td>
                                    <td><?php echo e($especialidad->refraccionOIeje); ?></td>
                                    <td><?php echo e($especialidad->refraccion); ?></td>
                                    <td><?php echo e($especialidad->biomicroscopia); ?></td>
                                    <td><?php echo e($especialidad->biomicroscopiaOI); ?></td>
                                    <td><?php echo e($especialidad->fondoOjo); ?></td>
                                    <td><?php echo e($especialidad->fondoOjoOI); ?></td>
                                    <td><?php echo e($especialidad->diagnostico); ?></td>
                                    <td><?php echo e($especialidad->plan); ?></td>
                                    <td><img src="/images/<?php echo e($especialidad->imgDiagnosticas); ?>" width="60%"></td>
                                    <td><?php echo e($especialidad->usuarioModifico); ?></td>
                                    <td><?php echo e($especialidad->receta); ?></td>
                                    <td><?php echo e($especialidad->updated_at); ?></td>
                                    <td>
                                        <!--Botones de la tabla -->
                                        <form action="<?php echo e(url('/especialidades/' . $especialidad->id)); ?>" method="POST">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button type="submit"
                                                class="far fa-trash-alt btn btn-sm  btn-warning"></button>
                                            <a href="<?php echo e(url('/especialidades/' . $especialidad->id . '/edit')); ?>"
                                                class="fa fa-edit btn-sm btn-primary"></a>
                                            <a href="<?php echo e(url('/especialidades/' . $especialidad->id . '/expediente')); ?>"
                                                class="btn-sm btn-success" target="_blank">Expediente</a>
                                        </form>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script src="https://code.jquery.com/jquery-3.7.1.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/2.0.5/js/dataTables.js"></script>
<script src="https://cdn.datatables.net/2.0.5/js/dataTables.bootstrap4.js"></script>

<script>
  $(document).ready(function() {
    $('#pacientes').DataTable( {
        "language": {
            "lengthMenu": "Mostrar _MENU_ registros",
            "zeroRecords": "Nothing found - sorry",
            "info": "Mostrando la página _PAGE_ de _PAGES_",
            "infoEmpty": "No records available",
            "infoFiltered": "(Filtrado de _MAX_ registros totales)",
            'search': 'Buscar:'
        }
    } );
} );
</script>
    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.panel', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\citaMedica\resources\views/specialties/index.blade.php ENDPATH**/ ?>