

<?php $__env->startSection('content'); ?>
    <div class="card shadow">
        <div class="card-header border-0">
          <div class="row align-items-center">
            <div class="col">
              <h3 class="mb-0"> Editar datos del Paciente</h3>
            </div>
            <div class="col text-right">
              <a href="<?php echo e(url('/especialidades')); ?>" class="btn btn-sm btn-success">
                <i class="fas fa-chevron-left"></i>
                Regresar</a>
            </div>
          </div>
        </div>
        <!--FORMULARIO PARA REGISTRAR PACIENTES Y DATOS DE-->
        <div class="card-body">
            <!--Este metodo es para mostrar el error cuando los campos no se han llenado -->
            <?php if($errors->any()): ?>
              <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <div class="alert alert-warning" role="alert">
                    <i class="fas fa-exclamation-circle"></i>
                    <strong>Por favor!</strong> <?php echo e($error); ?>

                  </div>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
            <!--Fin del metodo de mensajes de error-->

            <form action="<?php echo e(url('/especialidades/'.$specialty->id)); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <?php echo method_field('PUT'); ?>
                <!--CAMPO NOMBRE-->
                <div class="form-group">
                    <label for="name"><b>Nombre</b></label>
                    <!--El value OLD en este input quiere decir que se conserve los datos ante cualquier mensaje de error-->
                    <input type="text" name="name" class="form-control" value="<?php echo e(old('name', $specialty->name )); ?>">
                </div>
                <!--CAMPO EDAD-->
                <div class="form-group">
                  <label for="edad"><b>Edad</b></label>
                  <input type="text" name="edad" class="form-control" required value="<?php echo e(old('edad', $specialty->edad)); ?>">
                </div>
                <!--CAMPO DOMICILIO-->
                <div class="form-group">
                  <label for="domicilio"><b>Domicilio</b></label>
                  <input type="text" name="domicilio" class="form-control" value="<?php echo e(old('domicilio', $specialty->domicilio)); ?>">
                </div>
                <!--CAMPO ANTECEDENTES PATOLOGICOS-->
                <div class="form-group">
                  <label for="antecentesPatologicos"><b>Antecedentes patológicos</b></label>
                  <input type="text" name="antecentesPatologicos" class="form-control" value="<?php echo e(old('antecentesPatologicos', $specialty->antecentesPatologicos )); ?>">
                </div>
                <!--CAMPO ANTECEDENTES OFTALMOLOGICOS-->
                <div class="form-group">
                  <label for="antecentesOftalmicos"><b>Antecedentes Oftalmológicos u Optométricos</b></label>
                  <input type="text" name="antecentesOftalmicos" class="form-control" value="<?php echo e(old('antecentesOftalmicos', $specialty->antecentesOftalmicos )); ?>">
                </div>
                <!--CAMPO ALERGIAS-->
                <div class="form-group">
                  <label for="alergias"><b>Alergias</b></label>
                  <input type="text" name="alergias" class="form-control" value="<?php echo e(old('alergias', $specialty->alergias)); ?>">
                </div>
                <!--CAMPO MOTIVO DE CONSULTA-->
                <div class="form-group">
                  <label for="motivoConsulta"><b>Motivo de consulta</b></label>
                  <textarea class="form-control" id="motivoConsulta" name="motivoConsulta" class="form-control"  rows="3"> <?php echo e(old('motivoConsulta', $specialty->motivoConsulta)); ?> </textarea>
                </div>
                <!--AGUDEZA VISUAL LISTA-->
                <div class="form-group">
                  <label ><b>Agudeza visual sin lentes</b></label><br>                  
                  <label for="agudezaVisual">&nbsp; &nbsp; O.D.</label>
                  <label for="agudezaVisualODEST">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; EST</label> <br>
                  <div style="display: inline-flex">
                      <!--EN LOS PARENTESIS DEL FOREACH VA LA VARIABLE CREADA EN EL CONTROLADOR Y EL ALIAS
                      POSTERIORMENTE VA EL DATO QUE SE DESSE OBTENER-->
                      

                      <select class="form-control form-control-sm" name="agudezaVisual" id="agudezaVisual">
                        <?php $__currentLoopData = $datos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                          <option value="<?php echo e($agudeza->name); ?>" <?php echo e($agudeza->name == $specialty->agudezaVisual ? 'selected' : ' '); ?> > <?php echo e($agudeza->name); ?></option>              
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      </select>

                      <select class="form-control form-control-sm" name="agudezaVisualODEST" id="agudezaVisualODEST">
                        <?php $__currentLoopData = $datos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                          <option value="<?php echo e($agudeza->name); ?>" <?php echo e($agudeza->name == $specialty->agudezaVisualODEST ? 'selected' : ' '); ?> > <?php echo e($agudeza->name); ?></option>              
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      </select>
                  </div> <br>
                  <label for="agudezaVisualOI">&nbsp; &nbsp; O.I.</label>
                  <label for="agudezaVisualOIEST">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; EST</label> <br>
                  <div style="display: inline-flex">
                    <select class="form-control form-control-sm" name="agudezaVisualOI" id="agudezaVisualOI">
                      <?php $__currentLoopData = $datos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($agudeza->name); ?>" <?php echo e($agudeza->name == $specialty->agudezaVisualOI ? 'selected' : ' '); ?> > <?php echo e($agudeza->name); ?></option>              
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <select class="form-control form-control-sm" name="agudezaVisualOIEST" id="agudezaVisualOIEST">
                      <?php $__currentLoopData = $datos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($agudeza->name); ?>" <?php echo e($agudeza->name == $specialty->agudezaVisualOIEST ? 'selected' : ' '); ?> > <?php echo e($agudeza->name); ?></option>              
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                  </div>                 
                </div>
                <!--FIN AGUDEZA VISUAL LISTA-->
                <!--CAMPO MOVIMIENTOS OCULARES-->
                <div class="form-group">
                  <label for="movOculares"><b>Movimientos oculares</b></label><br>
                  <label for="movOculares">&nbsp; &nbsp; O.D.</label>
                  <input type="text" name="movOculares" class="form-control" value="<?php echo e(old('movOculares', $specialty->movOculares)); ?>">
                </div>
                <div class="form-group">
                  <label for="movOcularesOI">&nbsp; &nbsp; O.I.</label>
                  <input type="text" name="movOcularesOI" class="form-control" value="<?php echo e(old('movOcularesOI', $specialty->movOcularesOI)); ?>">
                </div>  
                <!--COMBO BOX DE AUTOREFRACCIONES-->
                <div>
                  <label ><b>Autorefracción</b></label><br>
                  <label ><b>&nbsp; &nbsp; O.D.</b></label><br>
                  <label for="autorefraccion">&nbsp; &nbsp; &nbsp; Esfera </label>
                  <label for="autorefraccionODcilindro">&nbsp; &nbsp; &nbsp; Cilindro</label>
                  <label for="autorefraccionODeje">&nbsp; &nbsp; &nbsp; Eje</label>
                  <label for="#">&nbsp; &nbsp; &nbsp; &nbsp; Adición</label><br> 
                  <div style="display: inline-flex">
                    <select class="form-control form-control-sm" name="autorefraccion" id="autorefraccion">
                      <?php $__currentLoopData = $datosauto; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($agudeza->valor); ?>" <?php echo e($agudeza->valor == $specialty->autorefraccion ? 'selected' : ' '); ?> > <?php echo e($agudeza->valor); ?></option>              
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>

                    <select class="form-control form-control-sm" name="autorefraccionODcilindro" id="autorefraccionODcilindro">
                      <?php $__currentLoopData = $datoscilindro; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($agudeza->refraccil); ?>" <?php echo e($agudeza->refraccil == $specialty->autorefraccionODcilindro ? 'selected' : ' '); ?> > <?php echo e($agudeza->refraccil); ?></option>              
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>

                    <select class="form-control form-control-sm" name="autorefraccionODeje" id="autorefraccionODeje">
                      <?php $__currentLoopData = $autorefraccejes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($agudeza->valoreje); ?>" <?php echo e($agudeza->valoreje == $specialty->autorefraccionODeje ? 'selected' : ' '); ?> > <?php echo e($agudeza->valoreje); ?></option>              
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <select class="form-control form-control-sm" name="autorrefraccionadd" id="autorrefraccionadd">
                      
                      <?php $__currentLoopData = $add; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tbladd): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                          <option value="<?php echo e($tbladd->adicion); ?>" <?php echo e($tbladd->adicion == $specialty->autorrefraccionadd ? 'selected' : ' '); ?> > <?php echo e($tbladd->adicion); ?></option>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
 
                  </div> <br> <br>
                  
                    <label for="autorefraccion"><b>&nbsp; &nbsp; O.I.</b></label><br>
                  <div  style="display: flex">
                    <label for="autorefraccionOIesfera">&nbsp; &nbsp; &nbsp; Esfera </label>
                    <label for="autorefraccionOIcilindro">&nbsp; &nbsp; &nbsp; Cilindro</label>
                    <label for="autorefraccionOIeje">&nbsp; &nbsp; &nbsp; Eje</label>
                    
                  <label for="#">&nbsp; &nbsp; &nbsp; &nbsp; Adición</label><br> 
                  </div>
                    <div style="display: inline-flex">
                    <select class="form-control form-control-sm" name="autorefraccionOIesfera" id="autorefraccionOIesfera">
                      <?php $__currentLoopData = $datosauto; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($agudeza->valor); ?>" <?php echo e($agudeza->valor == $specialty->autorefraccionOIesfera ? 'selected' : ' '); ?> > <?php echo e($agudeza->valor); ?></option>              
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <select class="form-control form-control-sm" name="autorefraccionOIcilindro" id="autorefraccionOIcilindro">
                      <?php $__currentLoopData = $datoscilindro; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($agudeza->refraccil); ?>" <?php echo e($agudeza->refraccil == $specialty->autorefraccionOIcilindro ? 'selected' : ' '); ?> > <?php echo e($agudeza->refraccil); ?></option>              
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <select class="form-control form-control-sm" name="autorefraccionOIeje" id="autorefraccionOIeje">
                      <?php $__currentLoopData = $autorefraccejes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($agudeza->valoreje); ?>" <?php echo e($agudeza->valoreje == $specialty->autorefraccionOIeje ? 'selected' : ' '); ?> > <?php echo e($agudeza->valoreje); ?></option>              
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <select class="form-control form-control-sm" name="autorrefraccionaddOI" id="autorrefraccionaddOI">
                      
                      <?php $__currentLoopData = $add; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tbladd): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                          <option value="<?php echo e($tbladd->adicion); ?>" <?php echo e($tbladd->adicion == $specialty->autorrefraccionaddOI ? 'selected' : ' '); ?> > <?php echo e($tbladd->adicion); ?></option>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select> 
                  </div><br>
                <!--FIN DE COMBO BOX DE AUTOREFRACCIONES-->   
                <!--CAMPO QUERATOMETRIAS-->
                <div>
                  <label for="queratometrias"><b>Queratometrías</b></label><br>
                  <label for="queratometrias">&nbsp; &nbsp; O.D.</label><br>
                  <input type="text" name="queratometrias" class="form-control" value="<?php echo e(old('queratometrias', $specialty->queratometrias)); ?>">
                </div>                
                <div>
                  <label for="queratometriasOI">&nbsp; &nbsp; O.I.</label><br>
                  <input type="text" name="queratometriasOI" class="form-control" value="<?php echo e(old('queratometriasOI', $specialty->queratometriasOI)); ?>">
                </div><br>
                <!--COMBO BOX DE REFRACCIONES-->
                <div>
                  <label for="refraccionODesfera"><b>Refracción</b></label><br>
                  <label for="refraccionODesfera"><b>&nbsp; &nbsp; O.D.</b></label><br>
                  <label for="refraccionODesfera">&nbsp; &nbsp; &nbsp; Esfera </label>
                  <label for="refraccionODcilindro">&nbsp; &nbsp; &nbsp; Cilindro</label>
                  <label for="refraccionODeje">&nbsp; &nbsp; &nbsp; Eje</label>
                  
                  <label for="#">&nbsp; &nbsp; &nbsp; &nbsp; Adición</label><br> 
                  <div style="display: inline-flex">
                    <select class="form-control form-control-sm" name="refraccionODesfera" id="refraccionODesfera">
                      <?php $__currentLoopData = $datosauto; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($agudeza->valor); ?>" <?php echo e($agudeza->valor == $specialty->refraccionODesfera ? 'selected' : ' '); ?> > <?php echo e($agudeza->valor); ?></option>              
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <select class="form-control form-control-sm" name="refraccionODcilindro" id="refraccionODcilindro">
                      <?php $__currentLoopData = $datoscilindro; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($agudeza->refraccil); ?>" <?php echo e($agudeza->refraccil == $specialty->refraccionODcilindro ? 'selected' : ' '); ?> > <?php echo e($agudeza->refraccil); ?></option>              
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <select class="form-control form-control-sm" name="refraccionODeje" id="refraccionODeje">
                      <?php $__currentLoopData = $autorefraccejes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($agudeza->valoreje); ?>" <?php echo e($agudeza->valoreje == $specialty->refraccionODeje ? 'selected' : ' '); ?> > <?php echo e($agudeza->valoreje); ?></option>              
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <select class="form-control form-control-sm" name="refraccionadd" id="refraccionadd">
                      
                      <?php $__currentLoopData = $add; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tbladd): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                          <option value="<?php echo e($tbladd->adicion); ?>" <?php echo e($tbladd->adicion == $specialty->refraccionadd ? 'selected' : ' '); ?> > <?php echo e($tbladd->adicion); ?></option>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select> 
                  </div> <br> <br>
                  <label for="refraccion"><b>&nbsp; &nbsp; O.I.</b></label><br>
                  <label for="refraccionOIesfera">&nbsp; &nbsp; &nbsp; Esfera </label>
                  <label for="refraccionOIcilindro">&nbsp; &nbsp; &nbsp; Cilindro </label>
                  <label for="refraccionOIeje">&nbsp; &nbsp; &nbsp; Eje</label>
                  
                  <label for="#">&nbsp; &nbsp; &nbsp; &nbsp; Adición</label><br> 
                  <div style="display: inline-flex">
                    <select class="form-control form-control-sm" name="refraccionOIesfera" id="refraccionOIesfera">
                      
                      <?php $__currentLoopData = $datosauto; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($agudeza->valor); ?>" <?php echo e($agudeza->valor == $specialty->refraccionOIesfera ? 'selected' : ' '); ?> > <?php echo e($agudeza->valor); ?></option>              
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <select class="form-control form-control-sm" name="refraccionOIcilindro" id="refraccionOIcilindro">
                      
                      <?php $__currentLoopData = $datoscilindro; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($agudeza->refraccil); ?>" <?php echo e($agudeza->refraccil == $specialty->refraccionOIcilindro ? 'selected' : ' '); ?> > <?php echo e($agudeza->refraccil); ?></option>              
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <select class="form-control form-control-sm" name="refraccionOIeje" id="refraccionOIeje">
                      <?php $__currentLoopData = $autorefraccejes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agudeza): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($agudeza->valoreje); ?>" <?php echo e($agudeza->valoreje == $specialty->refraccionOIeje ? 'selected' : ' '); ?> > <?php echo e($agudeza->valoreje); ?></option>              
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <select class="form-control form-control-sm" name="refraccionaddOI" id="refraccionaddOI">
                      
                      <?php $__currentLoopData = $add; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tbladd): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                          <option value="<?php echo e($tbladd->adicion); ?>" <?php echo e($tbladd->adicion == $specialty->refraccionaddOI ? 'selected' : ' '); ?> > <?php echo e($tbladd->adicion); ?></option>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select> 
                  </div> <br> <br>
                </div>
                <!--CAMPO REFRACCIONES OBSERVACINES--> 
                <div class="form-group">
                  <label for="refraccion">&nbsp; &nbsp; &nbsp; Tipo de lente y Tratamiento</label><br> 
                  <input type="text" name="refraccion" class="form-control" value="<?php echo e(old('refraccion', $specialty->refraccion)); ?>">
                </div>
                <!--FIN DE REFRACCIONES-->
                <!--CAMPO ANEXOS-->
                <div class="form-group">
                  <label for="biomicroscopia"><b>ANEXOS</b></label><br>
                  <label for="anexosOD">&nbsp; &nbsp; O.D.</label>
                  <input type="text" name="anexosOD" class="form-control" value="<?php echo e(old('anexosOD', $specialty->anexosOI)); ?>">
                </div>
                <div class="form-group">
                  <label for="anexosOI">&nbsp; &nbsp; O.I.</label>
                  <input type="text" name="anexosOI" class="form-control" value="<?php echo e(old('anexosOI', $specialty->anexosOI)); ?>">
                </div>
                <!--CAMPO BIOMICROSCOPIA-->
                <div class="form-group">
                  <label for="biomicroscopia"><b>Biomicroscopía</b></label><br>
                  <label for="biomicroscopia">&nbsp; &nbsp; O.D.</label>
                  <textarea class="form-control"  name="biomicroscopia" id="biomicroscopia" class="form-control" rows="2"><?php echo e(old('biomicroscopia', $specialty->biomicroscopia)); ?></textarea>
                </div>
                <div class="form-group">
                  <label for="biomicroscopiaOI">&nbsp; &nbsp; O.I.</label>
                  <textarea class="form-control"  name="biomicroscopiaOI" id="biomicroscopiaOI" class="form-control" rows="2"><?php echo e(old('biomicroscopia', $specialty->biomicroscopiaOI)); ?></textarea>
                </div>
                <!--CAMPO FONDO DE OJO-->
                <div class="form-group">
                  <label for="fondoOjo"><b>Fondo de ojo</b></label><br>
                  <label for="fondoOjo"> &nbsp; &nbsp;O.D.</label>
                  <textarea class="form-control" id="fondoOjo" name="fondoOjo" class="form-control" rows="2"> <?php echo e(old('fondoOjo', $specialty->fondoOjo)); ?></textarea>
                </div>
                <div class="form-group">
                  <label for="fondoOjoOI">&nbsp; &nbsp; O.I.</label>
                  <textarea class="form-control" id="fondoOjoOI" name="fondoOjoOI" class="form-control" rows="2"><?php echo e(old('fondoOjoOI', $specialty->fondoOjoOI)); ?></textarea>
                </div>
                <!--CAMPO DIAGNOSTICO-->
                <div class="form-group">
                  <label for="diagnostico"><b>Diagnóstico</b></label>
                  <textarea class="form-control" id="diagnostico" name="diagnostico" class="form-control" rows="2"><?php echo e(old('diagnostico', $specialty->diagnostico)); ?></textarea>
                </div>
                <!--CAMPO PLAN-->
                <div class="form-group">
                  <label for="plan"><b>Plan</b></label>
                  <textarea class="form-control" id="plan" name="plan" class="form-control" rows="3"><?php echo e(old('plan', $specialty->plan)); ?></textarea>
                </div>
                <!--CAMPO IMG DIAGNOSTICAS-->
                <div class="form-group">
                  <label for="imgDiagnosticas"><b>Imágenes diagnosticas</b></label>
                  <input accept="image/*" type="file" name="imgDiagnosticas" id="imgDiagnosticas" class="form-control" value="/uploads/<?php echo e(old('imgDiagnosticas', $specialty->imgDiagnosticas)); ?>">
                </div>
                <!--CAMPO USUARIO MODFICO-->
                <div class="form-group">
                  <label for="usuarioModifico"><b>Usuario que modifico</b></label>
                  <input type="text" name="usuarioModifico" class="form-control" value="<?php echo e(Auth::user()->name); ?>" readonly>
                </div>
                <!--RECETA-->
                <div class="form-group">
                  <label for="receta"><b>Receta</b></label>
                  <textarea class="form-control"  name="receta" id="receta" class="form-control" rows="10"><?php echo e(old('receta', $specialty->receta)); ?></textarea>
                </div>
                <!--BOTON EDITAR-->
                <button type="submit" class="btn btn-sm btn-primary">Guardar</button>
                <div class="col text-right">
                    <a href="<?php echo e(url('/especialidades')); ?>" class="btn btn-sm btn-success">
                      <i class="fas fa-chevron-left"></i>
                      Cancelar</a>
                </div>
            </form>
        </div>
      </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.panel', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/mrlsspvu/public_html/resources/views/specialties/edit.blade.php ENDPATH**/ ?>